h2 {
    text-align: center;
    display: block;
    background-color: black;
    color: aliceblue;
    font-size: 30px;
}
h4 {
    text-transform: capitalize;
    font-size:x-large;
    font-style: italic;
}
#pokemon {
    background-color: grey;
    margin-left: 10%;
    border: 3px solid;
    padding: 10px;
    border-radius: 10px;
}
#pokeImage{
    border: 1px solid;
    padding: 10px 20px;
    border-radius: 10px;
    background: rgb(2,0,36);
    background-color: rgb(255, 400, 0);
    width:450px;
}
#pokeContent {
    background-color: rgb(206, 200, 200);
    border: 1px solid;
    padding: 10px 20px;
    border-radius: 10px;
    padding-top: 5px;
    margin-top: 3%;
    height: 15em;
}
#pokeNumber::before {
    content: "Code: ";
    font-weight: bold;     
}
ul {
    list-style: none;
    padding: 0;
}
li{
    display: inline;  
}
li:nth-child(1)::before {
    content: "Type: ";
    font-weight: bold;
}
li:nth-child(1)::after {
    content: ",";
}
#pokeHeight::before {
    content: "Height: ";
    font-weight: bold;
}
#pokeHeight::after {
    content: "m";
}
#pokeWeight { 
    text-align: right;
    margin-top: -2em;  
}
#pokeWeight::before {
    content: "Weight: ";
    font-weight: bold;
}
#pokeWeight::after {
    content: "Kg";
}
#poke-container {
    height: auto; /* Mantiene la proporción de aspecto de las imágenes */
    display: block; /* Evita espacio adicional debajo de las imágenes */
    margin: 0 auto; /* Centra horizontalmente las imágenes */
}
@media only screen and (max-width: 600px){
    #poke-container {
        padding: 20%;
        gap: 20px 20px;
        margin-bottom: 1%;
        grid-template-columns: repeat(1, auto);
        gap: 50px 50px;
        width: 105%;
    }
}
@media only screen and (min-width:601px) {
    #poke-container {
        display: inline-grid;
        padding: 20px;
        gap: 20px 20px;
        margin-bottom: 1%;
        grid-template-columns: repeat(2, auto);
        gap: 50px 50px;
        width: 95%;
    }
}
@media only screen and (min-width:801px) {

    #poke-container {
        display: inline-grid;
        padding: 20px;
        gap: 20px 20px;
        margin-bottom: 1%;
        grid-template-columns: repeat(4, auto);
        gap: 50px 50px;
        width: 95%;
    }
}


